<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.board.Entity (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.board.Entity (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/board/class-use/Entity.html" target="_top">Frames</a></li>
<li><a href="Entity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.board.Entity" class="title">Uses of Class<br>towerwarspp.board.Entity</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.board">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.io">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.board">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a> in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> declared as <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#board">board</a></span></code>
<div class="block">The representation of the board as a 2-dimensional array of Entities.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with type parameters of type <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#listBlue">listBlue</a></span></code>
<div class="block">A list of all potentially movable tokens belonging to the blue player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#listRed">listRed</a></span></code>
<div class="block">A list of all potentially movable tokens belonging to the red player.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that return <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#changeStart-towerwarspp.board.Entity-towerwarspp.preset.Position-">changeStart</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;start)</code>
<div class="block">Conducts changes caused by the current move, which is specified for the token ent, in respect to its start position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#clone--">clone</a></span>()</code>
<div class="block">Clones this <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> instance with the copy-constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#getElement-towerwarspp.preset.Position-">getElement</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</code>
<div class="block">Returns the token located on the specified position on the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">BViewer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/BViewer.html#getEntity-towerwarspp.preset.Position-">getEntity</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Returns a clone of the token located on the specified position on the board.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that return types with arguments of type <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#cloneAndPutOnBoard-java.util.Vector-towerwarspp.board.Entity:A:A-">cloneAndPutOnBoard</a></span>(java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;list,
                  <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;cloneBoard)</code>
<div class="block">Clones all entities in the given entity list and saves the clones on the correct positions
 in the specified array representation of the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#getEntityList-towerwarspp.preset.PlayerColor-">getEntityList</a></span>(<a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col)</code>
<div class="block">Returns the list of movable tokens of the specified color.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with parameters of type <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#actualiseOwnTowerUnblockedOrIncreased-towerwarspp.board.Entity-int-">actualiseOwnTowerUnblockedOrIncreased</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower,
                                     int&nbsp;change)</code>
<div class="block">Commits changes caused by creating, increasing or unblocking of a tower in respect to its neighbours of the same color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#actualiseTowerAddStone-towerwarspp.board.Entity-">actualiseTowerAddStone</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower)</code>
<div class="block">Commits all necessary changes caused by putting a stone on the top of the specified token (stone or tower):
 1.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#actualiseTowerNeighboursRemoveRanges-towerwarspp.board.Entity-int-">actualiseTowerNeighboursRemoveRanges</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower,
                                    int&nbsp;change)</code>
<div class="block">Commits changes caused by blocking, removing or dismantling of a tower in respect to its neighbours of the same color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#actualiseTowerRemoved-towerwarspp.board.Entity-">actualiseTowerRemoved</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower)</code>
<div class="block">Commits some necessary changes caused by removing a tower.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#actualiseTowerRemoveStone-towerwarspp.board.Entity-">actualiseTowerRemoveStone</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower)</code>
<div class="block">Commits all necessary changes caused by removing a stone from the top of the specified tower:
 1.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#addMove-towerwarspp.board.Entity-towerwarspp.preset.Position-int-">addMove</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
       <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
       int&nbsp;range)</code>
<div class="block">Adds a move to the specified end position to the list of all possible moves of the specified token.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#addRanges-towerwarspp.board.Entity-int-">addRanges</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;stone,
         int&nbsp;n)</code>
<div class="block">Increases the step range of the specified token (stone) by n and adds
 newly available positions in the new range to its list of possible moves.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#addToList-towerwarspp.board.Entity-">addToList</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent)</code>
<div class="block">Adds the specified token to the list of movable tokens of the corresponding color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#blockTower-towerwarspp.board.Entity-towerwarspp.board.Entity-">blockTower</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower,
          <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;blockingStone)</code>
<div class="block">Blocks the specified tower and commits all the necessary changes:
 1.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#changeEnd-towerwarspp.board.Entity-towerwarspp.preset.Position-towerwarspp.preset.Position-">changeEnd</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
         <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;start,
         <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;end)</code>
<div class="block">Conducts changes caused by the current move, which is specified for the token ent, in respect to its end position.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#changeStart-towerwarspp.board.Entity-towerwarspp.preset.Position-">changeStart</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;start)</code>
<div class="block">Conducts changes caused by the current move, which is specified for the token ent, in respect to its start position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#cloneAndPutOnBoard-java.util.Vector-towerwarspp.board.Entity:A:A-">cloneAndPutOnBoard</a></span>(java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;list,
                  <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;cloneBoard)</code>
<div class="block">Clones all entities in the given entity list and saves the clones on the correct positions
 in the specified array representation of the board.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#decHeight-towerwarspp.board.Entity-">decHeight</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower)</code>
<div class="block">Decreases the height of the specified token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#decRange-towerwarspp.board.Entity-">decRange</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent)</code>
<div class="block">Decreases the step range of the specified token (stone) by one.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#findStoneMoves-towerwarspp.board.Entity-">findStoneMoves</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;stone)</code>
<div class="block">Finds all possible moves for the specified stone.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#findTowerMoves-towerwarspp.board.Entity-">findTowerMoves</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower)</code>
<div class="block">Finds all possible moves for the specified tower.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#incHeight-towerwarspp.board.Entity-">incHeight</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower)</code>
<div class="block">Increases the height of the specified token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#incRange-towerwarspp.board.Entity-">incRange</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent)</code>
<div class="block">Increases the step range of the specified token (stone) by one without
 adding any new moves to its list of possible moves.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#removeAllMoves-towerwarspp.board.Entity-">removeAllMoves</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent)</code>
<div class="block">Removes all moves of the specified token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#removeFromList-towerwarspp.board.Entity-">removeFromList</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent)</code>
<div class="block">Removes the specified token from the the list of movable tokens of the corresponding color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#removeMove-towerwarspp.board.Entity-towerwarspp.preset.Position-int-">removeMove</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
          <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
          int&nbsp;range)</code>
<div class="block">Removes the move to the specified end position from the list of all possible moves of the specified token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#removeRanges-towerwarspp.board.Entity-int-">removeRanges</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
            int&nbsp;n)</code>
<div class="block">Decreases the step range of the specified token and removes all corresponding moves
 from the specified token's list of possible moves.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#removeToken-towerwarspp.board.Entity-towerwarspp.board.Entity-">removeToken</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
           <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;removingStone)</code>
<div class="block">Removes the specified token ent from the board replacing it with the stone removingStone.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#setBlocked-towerwarspp.board.Entity-boolean-">setBlocked</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower,
          boolean&nbsp;block)</code>
<div class="block">Blocks or unblocks the specified tower.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#setElement-towerwarspp.board.Entity-towerwarspp.preset.Position-">setElement</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
          <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</code>
<div class="block">Puts the specified token on the specified position on the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#setPosition-towerwarspp.board.Entity-towerwarspp.preset.Position-">setPosition</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</code>
<div class="block">Sets a new position for the specified token.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#unblockTower-towerwarspp.board.Entity-towerwarspp.board.Entity-">unblockTower</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;tower,
            <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;unblockingStone)</code>
<div class="block">Unblocks the specified tower, removes the and commits all the necessary changes.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with type arguments of type <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#canBeDestroyed-towerwarspp.preset.Position-java.util.Vector-">canBeDestroyed</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
              java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;entities)</code>
<div class="block">Proves if a token located at the specified position can be destroyed (or blocked) by the opponent's stone.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#cloneAndPutOnBoard-java.util.Vector-towerwarspp.board.Entity:A:A-">cloneAndPutOnBoard</a></span>(java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;list,
                  <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;cloneBoard)</code>
<div class="block">Clones all entities in the given entity list and saves the clones on the correct positions
 in the specified array representation of the board.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#haveManyMoves-java.util.Vector-">haveManyMoves</a></span>(java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;ownEntities)</code>
<div class="block">This function helps to prove if a player has enough tokens and possible moves so that the opponent cannot leave him/her
 without any moves by only one move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#initialiseEntities-towerwarspp.preset.Position-int-towerwarspp.preset.PlayerColor-java.util.Vector-">initialiseEntities</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;base,
                  int&nbsp;dist,
                  <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col,
                  java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;list)</code>
<div class="block">Initialises all entities of the specified color before the first move.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with parameters of type <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#Board-int-towerwarspp.preset.PlayerColor-java.util.Vector-java.util.Vector-towerwarspp.board.Entity:A:A-towerwarspp.preset.Position-towerwarspp.preset.Position-">Board</a></span>(int&nbsp;size,
     <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn,
     java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lRed,
     java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lBlue,
     <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;board,
     <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;redB,
     <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;blueB)</code>
<div class="block">Initialises a new object of the class Board with the specified parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#Entity-towerwarspp.board.Entity-">Entity</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;original)</code>
<div class="block">Copy-Constructor: creates a new <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> object which is a copy of the given <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> object original.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#SimpleBoard-int-towerwarspp.preset.PlayerColor-java.util.Vector-java.util.Vector-towerwarspp.board.Entity:A:A-towerwarspp.preset.Position-towerwarspp.preset.Position-">SimpleBoard</a></span>(int&nbsp;size,
           <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn,
           java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lRed,
           java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lBlue,
           <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;board,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;redB,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;blueB)</code>
<div class="block">Initialises a new object of the class SimpleBoard with the specified parameters.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with type arguments of type <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#Board-int-towerwarspp.preset.PlayerColor-java.util.Vector-java.util.Vector-towerwarspp.board.Entity:A:A-towerwarspp.preset.Position-towerwarspp.preset.Position-">Board</a></span>(int&nbsp;size,
     <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn,
     java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lRed,
     java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lBlue,
     <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;board,
     <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;redB,
     <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;blueB)</code>
<div class="block">Initialises a new object of the class Board with the specified parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#Board-int-towerwarspp.preset.PlayerColor-java.util.Vector-java.util.Vector-towerwarspp.board.Entity:A:A-towerwarspp.preset.Position-towerwarspp.preset.Position-">Board</a></span>(int&nbsp;size,
     <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn,
     java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lRed,
     java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lBlue,
     <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;board,
     <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;redB,
     <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;blueB)</code>
<div class="block">Initialises a new object of the class Board with the specified parameters.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#SimpleBoard-int-towerwarspp.preset.PlayerColor-java.util.Vector-java.util.Vector-towerwarspp.board.Entity:A:A-towerwarspp.preset.Position-towerwarspp.preset.Position-">SimpleBoard</a></span>(int&nbsp;size,
           <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn,
           java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lRed,
           java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lBlue,
           <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;board,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;redB,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;blueB)</code>
<div class="block">Initialises a new object of the class SimpleBoard with the specified parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#SimpleBoard-int-towerwarspp.preset.PlayerColor-java.util.Vector-java.util.Vector-towerwarspp.board.Entity:A:A-towerwarspp.preset.Position-towerwarspp.preset.Position-">SimpleBoard</a></span>(int&nbsp;size,
           <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn,
           java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lRed,
           java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lBlue,
           <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;board,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;redB,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;blueB)</code>
<div class="block">Initialises a new object of the class SimpleBoard with the specified parameters.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a> in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> with parameters of type <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">GraphicIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/GraphicIO.html#drawEntity-java.awt.Graphics2D-towerwarspp.board.Entity-int-int-int-">drawEntity</a></span>(java.awt.Graphics2D&nbsp;g,
          <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;entity,
          int&nbsp;distance,
          int&nbsp;x,
          int&nbsp;y)</code>
<div class="block">Draws the Entity.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private char[]</code></td>
<td class="colLast"><span class="typeNameLabel">GraphicIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/GraphicIO.html#getChar-towerwarspp.board.Entity-">getChar</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;entity)</code>
<div class="block">Returns the Char for the Token-Type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.awt.Color</code></td>
<td class="colLast"><span class="typeNameLabel">GraphicIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/GraphicIO.html#getColor-towerwarspp.board.Entity-">getColor</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;entity)</code>
<div class="block">Returns the Color of the Token.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a> in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that return <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">Viewer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Viewer.html#getEntity-towerwarspp.preset.Position-">getEntity</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Returns a clone of the token located on the specified position on the board.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/board/class-use/Entity.html" target="_top">Frames</a></li>
<li><a href="Entity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
